package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class IOBus {
    private String schemaVersion;
    private Metadata metadata;
    private String backplanePhysicalLocation;
    private String busDynamicReconfigurationConnectorIndex;
    private String busDynamicReconfigurationConnectorName;
    private String ioBusID;
    private IOSlots ioSlots;

    public IOBus() {
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getBackplanePhysicalLocation() {
        return backplanePhysicalLocation;
    }

    public void setBackplanePhysicalLocation(String backplanePhysicalLocation) {
        this.backplanePhysicalLocation = backplanePhysicalLocation;
    }

    public String getBusDynamicReconfigurationConnectorIndex() {
        return busDynamicReconfigurationConnectorIndex;
    }

    public void setBusDynamicReconfigurationConnectorIndex(String busDynamicReconfigurationConnectorIndex) {
        this.busDynamicReconfigurationConnectorIndex = busDynamicReconfigurationConnectorIndex;
    }

    public String getBusDynamicReconfigurationConnectorName() {
        return busDynamicReconfigurationConnectorName;
    }

    public void setBusDynamicReconfigurationConnectorName(String busDynamicReconfigurationConnectorName) {
        this.busDynamicReconfigurationConnectorName = busDynamicReconfigurationConnectorName;
    }

    public String getIoBusID() {
        return ioBusID;
    }

    public void setIoBusID(String ioBusID) {
        this.ioBusID = ioBusID;
    }

    public IOSlots getIoSlots() {
        return ioSlots;
    }

    public void setIoSlots(IOSlots ioSlots) {
        this.ioSlots = ioSlots;
    }

    @Override
    public String toString() {
        return "IOBus [metadata=" + metadata + ", backplanePhysicalLocation=" + backplanePhysicalLocation
            + ", busDynamicReconfigurationConnectorIndex=" + busDynamicReconfigurationConnectorIndex
            + ", busDynamicReconfigurationConnectorName=" + busDynamicReconfigurationConnectorName + ", ioBusID="
            + ioBusID + ", ioSlots=" + ioSlots + "]";
    }
}
